import * as types from "../actionTypes/actionTypes";

export const getResultsSend = payload => ({
    type: types.GET_RESULT,
    payload
});

export const getResultsSuccess = payload => ({
    type: types.GET_RESULT_SUCCESS,
    payload
});

export const getResultsError = payload => ({
    type: types.GET_RESULT_ERROR,
    payload
});

export const getResults = () => {
    return dispatch => {
        let promise = fetch('https://api-marathon.herokuapp.com/api/v1/results')

        dispatch(getResultsSend())

        promise.then(
            data => data.json().then(data => dispatch(getResultsSuccess(data))),
            error => dispatch(getResultsError(error))
        )
    }
}